> For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt. # Create a contact POST https://api.synthflow.ai/v2/contacts Content-Type: application/json Reference: https://docs.synthflow.ai/api-reference/platform-api/contacts/create-a-contact ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.synthflow.ai/v2` (Global, default) - `https://api.us.synthflow.ai/v2` (United States) - `https://api.eu.synthflow.ai/v2` (European Union) ## Request ### Body (application/json) This endpoint expects an object. - `name` (string, required) — The contact's name. - `phone_number` (string, required) — The contact's phone number. - `email` (string, optional) — The contact's email address. - `contact_metadata` (ContactsPostRequestBodyContentApplicationJsonSchemaContactMetadata, optional) — Additional metadata for the contact. ## Response ### 200 200 - `status` (string, optional) - `response` (ContactsPostResponsesContentApplicationJsonSchemaResponse, optional) ## Types ### ContactsPostRequestBodyContentApplicationJsonSchemaContactMetadata Additional metadata for the contact. - `company` (string, optional) ### ContactsPostResponsesContentApplicationJsonSchemaResponse - `id` (string, optional) ## Examples **Request** ```json { "name": "John Doe", "phone_number": "+12025551234", "email": "john.doe@example.com", "contact_metadata": { "company": "Acme Corp" } } ``` **Response** ```json { "status": "ok", "response": { "id": "9ad09ad3-9c22-441e-ae35-c05016a09786" } } ``` **SDK Code** ```python import requests url = "https://api.synthflow.ai/v2/contacts" payload = { "name": "John Doe", "phone_number": "+12025551234", "email": "john.doe@example.com", "contact_metadata": { "company": "Acme Corp" } } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.synthflow.ai/v2/contacts" payload := strings.NewReader("{\n \"name\": \"John Doe\",\n \"phone_number\": \"+12025551234\",\n \"email\": \"john.doe@example.com\",\n \"contact_metadata\": {\n \"company\": \"Acme Corp\"\n }\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.synthflow.ai/v2/contacts") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"John Doe\",\n \"phone_number\": \"+12025551234\",\n \"email\": \"john.doe@example.com\",\n \"contact_metadata\": {\n \"company\": \"Acme Corp\"\n }\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.synthflow.ai/v2/contacts") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"John Doe\",\n \"phone_number\": \"+12025551234\",\n \"email\": \"john.doe@example.com\",\n \"contact_metadata\": {\n \"company\": \"Acme Corp\"\n }\n}") .asString(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.synthflow.ai/v2/contacts"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"John Doe\",\n \"phone_number\": \"+12025551234\",\n \"email\": \"john.doe@example.com\",\n \"contact_metadata\": {\n \"company\": \"Acme Corp\"\n }\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "name": "John Doe", "phone_number": "+12025551234", "email": "john.doe@example.com", "contact_metadata": ["company": "Acme Corp"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/contacts")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```